Index: main/eko-disco-specs/trunk/actors.rst
===================================================================
--- main/eko-disco-specs/trunk/actors.rst	(revision 10696)
+++ main/eko-disco-specs/trunk/actors.rst	(revision 10696)
@@ -0,0 +1,21 @@
+.. _label-actors:
+
+Actors
+======
+
+* Maintainer of old data
+
+* Customer
+
+* New System Admin
+
+* Staff
+
+  - Meter-Reader
+
+  - Manager
+
+  - Accountant
+
+  - Admins
+
Index: main/eko-disco-specs/trunk/conf.py
===================================================================
--- main/eko-disco-specs/trunk/conf.py	(revision 10695)
+++ main/eko-disco-specs/trunk/conf.py	(revision 10696)
@@ -26,5 +26,9 @@
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo', 'sphinx.ext.ifconfig', 'sphinx.ext.viewcode', 'sphinx.ext.autodoc']
+extensions = ['sphinx.ext.intersphinx', 'sphinx.ext.todo',
+              'sphinx.ext.ifconfig', 'sphinx.ext.viewcode']
+
+# Disabled extensions:
+# 'sphinx.ext.autodoc'
 
 # Add any paths that contain templates here, relative to this directory.
Index: main/eko-disco-specs/trunk/data.rst
===================================================================
--- main/eko-disco-specs/trunk/data.rst	(revision 10696)
+++ main/eko-disco-specs/trunk/data.rst	(revision 10696)
@@ -0,0 +1,33 @@
+Data Entities
+=============
+
+* Contracts
+
+* Contract Types
+
+* Contract Termination
+
+* Consumption
+
+* Contractor
+    beneficiary of a contract
+
+* Meter
+
+* Meter Status
+
+* Timestamp
+
+* Meter Value
+
+* Meter-Reader
+
+* Contact Data
+
+* Payments
+
+* Account
+
+* Login Credentials
+
+* Reports
Index: main/eko-disco-specs/trunk/index.rst
===================================================================
--- main/eko-disco-specs/trunk/index.rst	(revision 10695)
+++ main/eko-disco-specs/trunk/index.rst	(revision 10696)
@@ -13,5 +13,9 @@
 
    intro
+   system-requirements
+   actors
+   data
    use-cases
+   other-requirements
    install
 
Index: main/eko-disco-specs/trunk/other-requirements.rst
===================================================================
--- main/eko-disco-specs/trunk/other-requirements.rst	(revision 10696)
+++ main/eko-disco-specs/trunk/other-requirements.rst	(revision 10696)
@@ -0,0 +1,27 @@
+.. _label-other-requirements
+
+Other Requirements
+==================
+
+* Used Web Techniques:
+    JavaScript, Twitter Bootstrap
+
+* All business transactions are logged
+
+* All business transactions are filed to archives
+
+* All web transactions are performed encrypted
+
+* Supported Payment Systems
+
+  - Cash
+
+  - Credit Card
+
+  - Bank Transfer
+
+  - ETranzact
+
+  - InterSwitch
+
+  - SMS
Index: main/eko-disco-specs/trunk/system-requirements.rst
===================================================================
--- main/eko-disco-specs/trunk/system-requirements.rst	(revision 10696)
+++ main/eko-disco-specs/trunk/system-requirements.rst	(revision 10696)
@@ -0,0 +1,13 @@
+.. _label-system-requirements
+
+System Requirements
+===================
+
+* Operating System: Ubuntu
+
+* Average Rechability: 99% per year
+
+* A 24/7 monitoring of involved systems is ensured
+
+* Backups of all relevant business data is performed regularily.
+
Index: main/eko-disco-specs/trunk/use-cases.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases.rst	(revision 10695)
+++ main/eko-disco-specs/trunk/use-cases.rst	(revision 10696)
@@ -3,6 +3,6 @@
 
 Here we collect all use-cases identified to occur with regard to the
-Eko-Disco project. Use-cases are important to check which actors
-interact with the system in what way.
+Eko-Disco project. Use-cases are important to check which
+:ref:`label-actors` interact with the system in what way.
 
 .. toctree::
@@ -11,2 +11,20 @@
    use-cases/sample
    use-cases/meter-reading
+
+
+Identified use cases:
+
+* Migration of legacy data
+
+  - Convert legacy data suitable for new system
+
+  - Input legacy data into new system
+
+* Update Meter
+
+* Manage Contact Data
+
+* Manage Point of Consumption
+
+* Manage Contract
+