Index: main/eko-disco-specs/trunk/conf.py
===================================================================
--- main/eko-disco-specs/trunk/conf.py	(revision 10720)
+++ main/eko-disco-specs/trunk/conf.py	(revision 10721)
@@ -45,5 +45,5 @@
 
 # General information about the project.
-project = u'Eko-Disco Specification'
+project = u'Eko Disco Portal Specification'
 copyright = u'2013, WAeUP Germany'
 
@@ -191,5 +191,5 @@
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-  ('index', 'ekodisco-specs.tex', u'Eko-Disco Specifications',
+  ('index', 'ekodisco-specs.tex', u'Eko Disco Portal Specifications',
    u'WAeUP Germany', 'manual'),
 ]
@@ -223,5 +223,5 @@
 # (source start file, name, description, authors, manual section).
 man_pages = [
-    ('index', 'ekodisco-specs', u'eko-disco specs Documentation',
+    ('index', 'ekodisco-specs', u'Eko Disco Portal Specifications',
      [u'WAeUP Germany'], 1)
 ]
@@ -237,5 +237,5 @@
 #  dir menu entry, description, category)
 texinfo_documents = [
-  ('index', 'ekodisco-specs', u'eko-disco specs Documentation',
+  ('index', 'ekodisco-specs', u'Eko Disco Portal Specifications',
    u'WAeUP Germany', 'ekodisco-specs', 'One line description of project.',
    'Miscellaneous'),
@@ -258,5 +258,5 @@
 
 # Bibliographic Dublin Core info.
-epub_title = u'Eko-Disco Specifications'
+epub_title = u'Eko Disco Portal Specifications'
 epub_author = u'WAeUP Germany'
 epub_publisher = u'WAeUP Germany'
Index: main/eko-disco-specs/trunk/index.rst
===================================================================
--- main/eko-disco-specs/trunk/index.rst	(revision 10720)
+++ main/eko-disco-specs/trunk/index.rst	(revision 10721)
@@ -1,9 +1,9 @@
-.. eco-disco specs documentation master file, created by
+.. eco disco specs documentation master file, created by
    sphinx-quickstart on Wed Sep  4 09:10:02 2013.
    You can adapt this file completely to your liking, but it should at least
    contain the root `toctree` directive.
 
-Eko-Disco Specifications
-========================
+Portal Specifications
+=====================
 
 .. Contents:
@@ -19,5 +19,5 @@
 
 
-Indices and tables
+Indices and Tables
 ==================
 
Index: main/eko-disco-specs/trunk/intro.rst
===================================================================
--- main/eko-disco-specs/trunk/intro.rst	(revision 10720)
+++ main/eko-disco-specs/trunk/intro.rst	(revision 10721)
@@ -1,11 +1,8 @@
-About This Document
-*******************
+Introduction
+************
 
-These are the project specifications for the Eko-Disco project.
-
+These are the project specifications (specs) for the Eko Disco Portal (EDP).
 They describe in a more formal manner the requirements, preconditions,
-postconditions, etc. needed to build the portal software for the
-Eko-Disco project.
-
+postconditions, etc. needed to build the software for the EDP.
 Their main goal is to express the expectations of all involved parties
 regarding the mentioned project.
@@ -14,3 +11,22 @@
 requirements.
 
-Download a pdf version `here <ekodisco-specs.pdf>`_.
+Download a pdf version of the specs `here <ekodisco-specs.pdf>`_.
+
+Background
+----------
+
+In February 2013 the Nigerian Eko Electricity Distribution Company (Eko Disco)
+was privatised and sold to West Power & Gas Limited (WPGL). Eko Disco is one
+of 11 distribution companies in Nigeria.
+
+...
+
+Expectations
+------------
+
+...
+
+Eko Disco Portal (EDP)
+----------------------
+
+...
Index: main/eko-disco-specs/trunk/use-cases.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases.rst	(revision 10720)
+++ main/eko-disco-specs/trunk/use-cases.rst	(revision 10721)
@@ -5,5 +5,5 @@
 
 Here we collect all use-cases identified to occur with regard to the
-Eko-Disco project. Use-cases are important to check which
+Eko Disco Portal. Use-cases are important to check which
 :ref:`label-actors` interact with the system in what way.
 