Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 10733)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interfaces.py	(revision 10734)
@@ -76,4 +76,90 @@
         )
 
+    certificate_fee = schema.Float(
+        title = _(u' Certificate Fee'),
+        default = 0.0,
+        required = False,
+        )
+    state_result_fee = schema.Float(
+        title = _(u'Statement of Result Fee'),
+        default = 0.0,
+        required = False,
+        )
+    transcript_local_fee = schema.Float(
+        title = _(u'Transcript (local) Fee'),
+        default = 0.0,
+        required = False,
+        )
+    transcript_foreign_fee = schema.Float(
+        title = _(u'Transcript (foreign) Fee'),
+        default = 0.0,
+        required = False,
+        )
+    ver_result_fee = schema.Float(
+        title = _(u'erification of Result Fee'),
+        default = 0.0,
+        required = False,
+        )
+    change_course_fee = schema.Float(
+        title = _(u'Change of Course Fee'),
+        default = 0.0,
+        required = False,
+        )
+    change_inst_fee = schema.Float(
+        title = _(u'Change of Institute Fee'),
+        default = 0.0,
+        required = False,
+        )
+    jamb_reject_fee = schema.Float(
+        title = _(u'JAMB Rejection Form Fee'),
+        default = 0.0,
+        required = False,
+        )
+    cert_of_cert_fee = schema.Float(
+        title = _(u'Certification of Certificate Fee'),
+        default = 0.0,
+        required = False,
+        )
+    ref_let_fee = schema.Float(
+        title = _(u'Recommendation/Reference Letter Fee'),
+        default = 0.0,
+        required = False,
+        )
+    proc_cert_fee = schema.Float(
+        title = _(u'Processing of Certificate by Proxy Fee'),
+        default = 0.0,
+        required = False,
+        )
+    loss_idcard_fee = schema.Float(
+        title = _(u'Loss of ID Card Fee'),
+        default = 0.0,
+        required = False,
+        )
+    loss_examcard_fee = schema.Float(
+        title = _(u'Loss of Exam Card Fee'),
+        default = 0.0,
+        required = False,
+        )
+    loss_result_fee = schema.Float(
+        title = _(u'Loss of Result Fee'),
+        default = 0.0,
+        required = False,
+        )
+    loss_receipt_fee = schema.Float(
+        title = _(u'Loss of Receipt Fee'),
+        default = 0.0,
+        required = False,
+        )
+    loss_clearance_fee = schema.Float(
+        title = _(u'Loss of Clearance Fee'),
+        default = 0.0,
+        required = False,
+        )
+    conv_brochure_fee = schema.Float(
+        title = _(u'Convocation Brochure Fee'),
+        default = 0.0,
+        required = False,
+        )
+
     def getSessionString():
         """Returns the session string from the vocabulary.
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 10733)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 10734)
@@ -55,5 +55,22 @@
         'bed_allocation': 'Bed Allocation Fee',
         'hostel_maintenance': 'Hostel Maintenance Fee',
-        'application': 'Application Fee'
+        'application': 'Application Fee',
+        'certificate': 'Certificate',
+        'state_result': 'Statement of Result',
+        'transcript_local': 'Transcript (local)',
+        'transcript_foreign': 'Transcript (foreign)',
+        'ver_result': 'Verification of Result',
+        'change_course': 'Change of Course',
+        'change_inst': 'Change of Institute',
+        'jamb_reject': 'JAMB Rejection Form',
+        'cert_of_cert': 'Certification of Certificate',
+        'ref_let': 'Recommendation/Reference Letter',
+        'proc_cert': 'Processing of Certificate by Proxy',
+        'loss_idcard': 'Loss of ID Card',
+        'loss_examcard': 'Loss of Exam Card',
+        'loss_result': 'Loss of Result',
+        'loss_receipt': 'Loss of Receipt',
+        'loss_clearance': 'Loss of Clearance',
+        'conv_brochure': 'Convocation Brochure',
         }
 
@@ -64,3 +81,20 @@
         'carryover3': 'Three CarryOvers',
         'hostel_maintenance': 'Hostel Maintenance Fee',
+        'certificate': 'Certificate',
+        'state_result': 'Statement of Result',
+        'transcript_local': 'Transcript (local)',
+        'transcript_foreign': 'Transcript (foreign)',
+        'ver_result': 'Verification of Result',
+        'change_course': 'Change of Course',
+        'change_inst': 'Change of Institute',
+        'jamb_reject': 'JAMB Rejection Form',
+        'cert_of_cert': 'Certification of Certificate',
+        'ref_let': 'Recommendation/Reference Letter',
+        'proc_cert': 'Processing of Certificate by Proxy',
+        'loss_idcard': 'Loss of ID Card',
+        'loss_examcard': 'Loss of Exam Card',
+        'loss_result': 'Loss of Result',
+        'loss_receipt': 'Loss of Receipt',
+        'loss_clearance': 'Loss of Clearance',
+        'conv_brochure': 'Convocation Brochure',
         }