Index: main/eko-disco-specs/trunk/data.rst
===================================================================
--- main/eko-disco-specs/trunk/data.rst	(revision 10733)
+++ main/eko-disco-specs/trunk/data.rst	(revision 10737)
@@ -76,5 +76,5 @@
 -------------
 
-A phone number.
+Mobile phone number which is capable of receiving sms text messages.
 
 Connected to: :ref:`label-contact-data` (|n0|:1)
Index: main/eko-disco-specs/trunk/schedule.rst
===================================================================
--- main/eko-disco-specs/trunk/schedule.rst	(revision 10733)
+++ main/eko-disco-specs/trunk/schedule.rst	(revision 10737)
@@ -17,5 +17,5 @@
 The following use cases will be implemented:
 
-Release and deployment: 6 months after award of contract
+Software release and deployment: 6 months after award of contract
 
 **Phase 2** includes:
@@ -27,3 +27,3 @@
 All remaining use cases will be implemented in the second phase.
 
-Release and deployment: 12 months after award of contract
+Software release and deployment: 12 months after award of contract
Index: main/eko-disco-specs/trunk/use-cases.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases.rst	(revision 10733)
+++ main/eko-disco-specs/trunk/use-cases.rst	(revision 10737)
@@ -11,6 +11,6 @@
    :maxdepth: 1
 
-   use-cases/sample
    use-cases/meter-reading
+   use-cases/mg-customer-add
 
 
Index: main/eko-disco-specs/trunk/use-cases/mg-customer-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/mg-customer-add.rst	(revision 10737)
+++ main/eko-disco-specs/trunk/use-cases/mg-customer-add.rst	(revision 10737)
@@ -0,0 +1,97 @@
+.. _label-mg-customer-add:
+
+Use-Case: Add a Customer ny user
+***********************************************************************
+
+.. Description of a use case
+.. The description must be formulated as seen from system (not: actors)
+.. Describes those changes an (outside) actor can notice
+.. Short and abstract as possible, as long as necessary.
+.. Each use case must have at least one actor involved
+.. Each use case must have a trigger and a result
+
+
+Short Description
+-----------------------------------------------------------------------
+
+A customer is manually added to the system by user.
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Admins, Manager
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+- Some customer is added to the system.
+- A main contract is added to the system.
+- A respective web form is requested from the system to fill
+  customer and contract data.
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+- The new customer was created in system with a new unique customer ID.
+
+- The main contract was created and connected to the new customer.
+
+- A (nearly empty) transaction history can be retrieved for the new
+  customer.
+
+- Authorized users can get the current account balance of the balance.
+
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+- Message about customer creation.
+- Log message
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+Change Log
+-----------------------------------------------------------------------
+
++------------+----------+------------+--------------------------------+
+| Timestamp  | Who      | New Status | What                           |
++------------+----------+------------+--------------------------------+
+| 2013-11-11 | henrik   | init       | Initial state                  |
++------------+----------+------------+--------------------------------+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \pagebreak[4]