Index: main/eko-disco-specs/trunk/data.rst
===================================================================
--- main/eko-disco-specs/trunk/data.rst	(revision 10738)
+++ main/eko-disco-specs/trunk/data.rst	(revision 10742)
@@ -50,6 +50,6 @@
 
 Connected to: :ref:`label-customer` (1:1),
-:ref:`label-contact-address` (1:|n0|), :ref:`label-contact-email`
-(1:|n0|), :ref:`label-contact-phone` (1:|n0|)
+:ref:`label-contact-address` (1:p), :ref:`label-contact-email`
+(1:n), :ref:`label-contact-phone` (1:p)
 
 Used in the following use cases:
@@ -64,8 +64,8 @@
 addresses we store some timestamp that indicates when the respective
 email address was last checked successfully (thus marking it a 'valid'
-one).
-
-Connected to: :ref:`label-contact-data` (|n0|:1),
-:ref:`label-timestamp` (1:|m0|).
+one). No timestamp means, the email address has never been checked.
+
+Connected to: :ref:`label-contact-data` (n:1),
+:ref:`label-timestamp` (1:q)
 
 Used in the following use cases:
@@ -79,5 +79,5 @@
 Mobile phone number which is capable of receiving sms text messages.
 
-Connected to: :ref:`label-contact-data` (|n0|:1)
+Connected to: :ref:`label-contact-data` (n:1)
 
 Used in the following use cases:
@@ -104,8 +104,8 @@
 become due, a respective :ref:`label-transaction` is triggered.
 
-Contracts can have multiple :ref:`label-contract-addon`.
-
-Connected to: :ref:`label-service` (|n0|:1), :ref:`label-customer` (|n0|:1),
-:ref:`label-contract-addon` (1:|n0|), :ref:`label-transaction` (|n0|, |m0|)
+Contracts can have multiple :ref:`label-contract-addon`\ s.
+
+Connected to: :ref:`label-service` (p:1), :ref:`label-customer` (p:1),
+:ref:`label-contract-addon` (1:p), :ref:`label-transaction` (p:q)
 
 Used in the following use cases:
@@ -121,5 +121,5 @@
 parameters. Contract addons are created by :ref:`label-contract`\ s.
 
-Connected to: :ref:`label-contract` (|n0|:1)
+Connected to: :ref:`label-contract` (p:1)
 
 
@@ -149,7 +149,7 @@
 - get help if problems arise
 
-- retrieve bills.
-
-- reset their passwords if forgotten.
+- retrieve bills
+
+- change their passwords
 
 Customers can order :ref:`label-service`\ s and pay these (kinds of
@@ -160,6 +160,6 @@
 instance when postal addresses change), and by staff members.
 
-Connected to: :ref:`label-contract` (1:|n0|),
-:ref:`label-contact-data` (1:1), :ref:`label-login-credentials` (1:1).
+Connected to: :ref:`label-contract` (1:p),
+:ref:`label-contact-data` (1:1), :ref:`label-login-credentials` (1:1)
 
 
@@ -174,5 +174,5 @@
 for instance describing a location in words.
 
-Connected to: :ref:`label-meter` (1:1)
+Connected to: :ref:`label-meter` (1:p)
 
 
@@ -187,5 +187,5 @@
 Passwords can be reset on request.
 
-Connected to: :ref:`label-customer`
+Connected to: :ref:`label-customer` (1:1)
 
 
@@ -206,6 +206,6 @@
 at a given time.
 
-Connected to: :ref:`label-contract` (|n0|:\ |m0|),
-:ref:`label-meter-value` (1:|m0|), :ref:`label-location` (1:n)
+Connected to: :ref:`label-contract` (b:1),
+:ref:`label-meter-value` (1:n), :ref:`label-location` (p:1)
 
 
@@ -238,6 +238,6 @@
 prepared to collect meter data from external devices.
 
-Connected to: :ref:`label-meter` (|n0|:1), :ref:`label-timestamp` (1:1),
-:ref:`label-user`.
+Connected to: :ref:`label-meter` (p:1), :ref:`label-timestamp` (1:1),
+:ref:`label-user` (p:1)
 
 
@@ -274,5 +274,5 @@
 Services also serve as factories for :ref:`label-contract`\ s.
 
-Connected to: :ref:`label-contract` (1:|n0|),
+Connected to: :ref:`label-contract` (1:p)
 
 Used in the following use cases:
@@ -292,5 +292,5 @@
 
 Connected to: :ref:`label-meter-value` (1:1),
-:ref:`label-contact-email` (1:1)
+:ref:`label-contact-email` (p:1)
 
 
@@ -310,6 +310,6 @@
 is consumed, purchased, or (pre-)paid by the respective customer.
 
-Connected to: :ref:`label-customer` (1:|n0|), :ref:`label-service`
-(|n0|:1)
+Connected to: :ref:`label-customer` (p:1), :ref:`label-service`
+(p:1)
 
 Used in the following use cases:
@@ -334,5 +334,5 @@
 Users can be blocked or removed from the system.
 
-Connected to: :ref:`label-login-credentials`.
+Connected to: :ref:`label-login-credentials` (1:1), :ref:`label-user-role` (p:q)
 
 
@@ -344,9 +344,17 @@
 A role assigned to a group of :ref:`label-user`\ s.
 
-Connected to: :ref:`label-user` (1:|n0|).
-
-
-.. [#] Relation types: (1:1): One-to-one, (1:n): One-to-many, (n:1):
-       many-to-one, (n:m): many-to-many. ``n`` and ``m`` mean some
-       value ``1..n``. To indicate zero or more (``0..n``) relations,
-       we use |n0| and |m0| respectively.
+Connected to: :ref:`label-user` (p:q)
+
+
+.. [#] Relation types: (1:1): one on one, (1:n): one on many, (n:1):
+       many on one, (n:m): many on many, (1:p): one on many or none,
+       (p:1): many or none on one, (p:q): many or none on many or none,
+       (1:b): one or none on one, (b:1): none or one on one
+
+       In mathematical terms:
+
+       n and m are elements of {1, 2, ...},
+       p and q are elements of {0, 1, 2, ...},
+       b is element of {0, 1}
+
+