Index: main/eko-disco-specs/trunk/use-cases/contract-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10753)
@@ -15,10 +15,10 @@
 -----------------------------------------------------------------------
 
-A contract is added for some customer
+A contract is added for some customer.
 
 Actor(s)
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (modifying existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -47,5 +47,5 @@
 -----------------------------------------------------------------------
 
-- Message about contract creation.
+- Message about contract creation
 - Log message
 
Index: main/eko-disco-specs/trunk/use-cases/contract-manage.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (modifying existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -41,11 +41,11 @@
 -----------------------------------------------------------------------
 
-- Contract ID, names and values of parameters to change.
+- Contract ID, names and values of parameters to change
 
 Outgoing Data
 -----------------------------------------------------------------------
 
-- Message about contract modification.
-- (optional) regarding customer is informed by email or SMS.
+- Message about contract modification
+- (optional) Regarding customer is informed by email or SMS.
 - Log message
 
Index: main/eko-disco-specs/trunk/use-cases/contract-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (removing existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -46,8 +46,8 @@
 -----------------------------------------------------------------------
 
-- Message about contract removal.
-- (optional) regarding customer is informed by email or SMS.
+- Message about contract removal
+- (optional) Regarding customer is informed by email or SMS.
 - Log message
-- Archive entry.
+- Archive entry
 
 
@@ -74,5 +74,5 @@
 - System removes the given contract and connected items (transactions,
   contract-add-ons, etc.).
-- (optional) System informs regarding customer (email and/or SMS)
+- (optional) System informs regarding customer (email and/or SMS).
 
 
Index: main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Customer
+Anonymous
 
 
@@ -53,5 +53,5 @@
 -----------------------------------------------------------------------
 
-- Message about customer creation.
+- Message about customer creation
 - Log message
 
@@ -76,6 +76,6 @@
 -----------------------------------------------------------------------
 
-- System receives user contact data, as required, plus optional data
-- Contact data is checked for validity (test email, etc.)
+- System receives user contact data, as required, plus optional data.
+- Contact data is checked for validity (test email, etc.).
 - System sends login credentials to user.
 
Index: main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Admins, Manager
+Officer
 
 
Index: main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10753)
@@ -21,5 +21,5 @@
 -----------------------------------------------------------------------
 
-Customer
+Customer, Officer
 
 
@@ -40,10 +40,10 @@
 -----------------------------------------------------------------------
 
-- Contact data | password | user name | user id
+Customer ID, names and values of parameters to change
 
 Outgoing Data
 -----------------------------------------------------------------------
 
-- Message about successful/failed changes.
+- Message about successful/failed changes
 - Log message
 
@@ -70,9 +70,9 @@
 - Sending user authorization is checked.
 - System receives infos about
-  - what data fields of which user should be set to which values.
-  - submitting user
-- Data is modified in system
+  - what data fields of which user should be set to which values,
+  - submitting user.
+- Data is modified in system.
 - User gets informed about operation success/fail.
-- if operation fails, possibility to change input data is offered
+- If operation fails, possibility to change input data is offered.
 
 
Index: main/eko-disco-specs/trunk/use-cases/customer-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Staff member
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (deleting existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -39,12 +39,12 @@
 -----------------------------------------------------------------------
 
-- Customer id, authorization data of submitting user
+- Customer ID
 
 Outgoing Data
 -----------------------------------------------------------------------
 
-- Message about successful/failed changes.
+- Message about successful/failed changes
 - Archive entry of data removed from system with extra info
-  (when/who).
+  (when/who)
 - Log message
 
@@ -71,9 +71,9 @@
 - Sending user authorization is checked.
 - System receives infos about
-  - what data fields of which user should be set to which values.
+  - what data fields of which user should be set to which values
   - submitting user
-- Data is modified in system
+- Data is modified in system.
 - User gets informed about operation success/fail.
-- if operation fails, possibility to change input data is offered
+- If operation fails, possibility to change input data is offered.
 
 
Index: main/eko-disco-specs/trunk/use-cases/meter-reading.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10753)
@@ -19,5 +19,5 @@
 -----------------------------------------------------------------------
 
-meter reader, web portal
+Meter Reader
 
 
@@ -25,5 +25,5 @@
 -----------------------------------------------------------------------
 
-a read-meter form is requested from portal
+A read-meter form is requested from portal.
 
 
@@ -37,5 +37,5 @@
 -----------------------------------------------------------------------
 
-username, password, meter id, amount, datetime of reading
+Meter ID, meter value, date and time of reading
 
 
@@ -43,5 +43,6 @@
 -----------------------------------------------------------------------
 
-login form, meter form, success message
+- Message about successful reading
+- Log message
 
 
@@ -49,5 +50,4 @@
 -----------------------------------------------------------------------
 
-The system is running
 
 
@@ -55,5 +55,4 @@
 -----------------------------------------------------------------------
 
-The system is running
 
 
@@ -63,18 +62,17 @@
 
 
-
 Essential Steps
 -----------------------------------------------------------------------
 
-* authenticate meter reader
-* get meter id, meter value, datetime
-* check input values:
+* Authenticate meter reader
+* Get meter id, meter value, datetime
+* Check input values:
 
-  * does the meter id exist?
-  * if not, ask and add a new one
+  * Does the meter id exist?
+  * If not, ask and add a new one.
   * value >= old value?
 
-* add new reading in database
-* output success message
+* Add new reading in database
+* Output success message
 
 
Index: main/eko-disco-specs/trunk/use-cases/service-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (adding existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -33,5 +33,5 @@
 -----------------------------------------------------------------------
 
-- A new service is available for customers/staff.
+- A new service is available for customers/officers.
 
 - Contracts can be created from the new service.
@@ -50,5 +50,5 @@
 -----------------------------------------------------------------------
 
-- Message about service creation.
+- Message about service creation
 - Log message
 
Index: main/eko-disco-specs/trunk/use-cases/service-manage.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10753)
@@ -5,9 +5,9 @@
 
 .. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
+.. The description must be formulated as seen from system (not: actors).
+.. Describes those changes an (outside) actor can notice.
 .. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
+.. Each use case must have at least one actor involved.
+.. Each use case must have a trigger and a result.
 
 
@@ -15,10 +15,10 @@
 -----------------------------------------------------------------------
 
-A service is modified by staff.
+A service is modified by staff
 
 Actor(s)
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (modifying existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -33,5 +33,5 @@
 -----------------------------------------------------------------------
 
-- Data (terms, title, description) of the given service is modified.
+- Data (terms, title, description) of the given service is modified
 
 
@@ -39,5 +39,5 @@
 -----------------------------------------------------------------------
 
-- Service ID, names and values of parameters to change.
+- Service ID, names and values of parameters to change
 
 Outgoing Data
@@ -45,5 +45,5 @@
 
 - Message about service modification.
-- (optional) regarding customers are informed by email or
+- (optional) Regarding customers are informed by email or
   SMS. Regarding customers are those having a contract created by
   the modified service.
@@ -61,5 +61,5 @@
 -----------------------------------------------------------------------
 
-- The new service data were checked for validity.  Validation here is
+- The new service data were checked for validity. Validation here is
   stricter than when adding a service. For instance it is not allowed
   to change terms for the past if there are already existing
Index: main/eko-disco-specs/trunk/use-cases/service-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10750)
+++ main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10753)
@@ -20,5 +20,5 @@
 -----------------------------------------------------------------------
 
-Staff
+Officer
 
 
@@ -27,5 +27,5 @@
 
 - Imports (removing existing data)
-- Web form(s) submitted by authorized user.
+- Web form(s) submitted by authorized user
 
 
@@ -46,7 +46,7 @@
 -----------------------------------------------------------------------
 
-- Message about service removal.
+- Message about service removal
 - Log message
-- Archive entry.
+- Archive entry
 
 