Index: /main/eko-disco-specs/trunk/use-cases/contract-add.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Add a Contract
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/contract-manage.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Manage Contract Data
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/contract-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Remove a Contract
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Add a Customer by Anonymous User (self-registration)
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10754)
@@ -1,19 +1,11 @@
 .. _label-mg-customer-add:
 
-Use-Case: Add a Customer ny user
+Use-Case: Add a Customer by officer
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
 -----------------------------------------------------------------------
 
-A customer is manually added to the system by user.
+A customer is manually added to the system by authorized user.
 
 Actor(s)
Index: /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Edit Basic Customer Data
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/customer-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Remove Customer
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/meter-reading.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10754)
@@ -1,12 +1,4 @@
 Use Case: Reading a Meter
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/service-add.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Add a service
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/service-manage.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Modify a Service
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors).
-.. Describes those changes an (outside) actor can notice.
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved.
-.. Each use case must have a trigger and a result.
-
 
 Short Description
Index: /main/eko-disco-specs/trunk/use-cases/service-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10753)
+++ /main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10754)
@@ -3,12 +3,4 @@
 Use-Case: Remove a Service
 ***********************************************************************
-
-.. Description of a use case
-.. The description must be formulated as seen from system (not: actors)
-.. Describes those changes an (outside) actor can notice
-.. Short and abstract as possible, as long as necessary.
-.. Each use case must have at least one actor involved
-.. Each use case must have a trigger and a result
-
 
 Short Description