Index: main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10770)
+++ main/kofacustom.ekodisco/trunk/src/kofacustom/ekodisco/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10773)
@@ -11,4 +11,256 @@
 
 msgid "Academics"
-msgstr "Institutions"
-
+msgstr "Divisions"
+
+msgid "Academic Section"
+msgstr "Local Government Areas"
+
+msgid "Manage academic section"
+msgstr "Manage Local Government Areas"
+
+msgid "Search Academic Section"
+msgstr "Search Administrative Divisions"
+
+msgid "Search academic section"
+msgstr "Search administrative divisions"
+
+msgid "Add faculty"
+msgstr "Add LGA"
+
+msgid "Faculties"
+msgstr "Local Government Areas"
+
+msgid "The faculty code chosen already exists."
+msgstr "The LGA code chosen already exists."
+
+msgid "Manage faculty"
+msgstr "Manage Local Government Area"
+
+msgid "The code chosen already exists in this faculty."
+msgstr "The code chosen already exists for this LGA."
+
+msgid "Faculty"
+msgstr "Local Government Area"
+
+msgid "Faculty:"
+msgstr "Local Government Area:"
+
+msgid "Name of faculty"
+msgstr "Name of LGA"
+
+msgid "Departments"
+msgstr "Districts"
+
+msgid "Add department"
+msgstr "Add district"
+
+msgid "Department ${a} added."
+msgstr "District ${a} added."
+
+msgid "Manage department"
+msgstr "Manage district"
+
+msgid "in department"
+msgstr "in district"
+
+msgid "Department:"
+msgstr "District:"
+
+msgid "Department"
+msgstr "District"
+
+msgid "Name of department"
+msgstr "Name of district"
+
+msgid "Category for the grouping of certificates"
+msgstr "Category for the grouping of contracts"
+
+msgid "Courses and Certificates"
+msgstr "Contracts and Services"
+
+msgid "Remove selected certificates"
+msgstr "Remove selected contracts"
+
+msgid "Add certificate"
+msgstr "Add contract"
+
+msgid "A certificate with same code already exists: "
+msgstr "A contract with same code already exists: "
+
+msgid "Certificate ${a} successfully created."
+msgstr "Contract ${a} successfully created."
+
+msgid "Edit certificate"
+msgstr "Edit contract"
+
+msgid "Add certificate course"
+msgstr "Add service to contract"
+
+msgid "Remove selected certificate courses"
+msgstr "Remove selected services in contract"
+
+msgid "Manage certificate"
+msgstr "Manage contract"
+
+msgid "The chosen certificate course is already part of this certificate."
+msgstr "The chosen service is already part of this contract."
+
+msgid "certificate course ${a}_${b} added."
+msgstr "contract service ${a}_${b} added."
+
+msgid "Edit certificate course"
+msgstr "Edit contract service"
+
+msgid "Certificate Courses"
+msgstr "Contract Services"
+
+msgid "Current level not available for certificate."
+msgstr ""
+
+msgid "Current level does not match certificate levels."
+msgstr ""
+
+msgid "Certificate"
+msgstr "Contract"
+
+msgid "Certificates"
+msgstr "Contracts"
+
+msgid "Courses in Certificates"
+msgstr "Services of Contract"
+
+msgid "If this attribute is being set all certificate courses referring to this course will be automatically deleted."
+msgstr "If this attribute is being set all contract services referring to this service will be automatically deleted"
+
+msgid "Unnamed Certificate"
+msgstr "Unnamed Contract"
+
+msgid "Enter unique certificate code which will become part of the URL."
+msgstr "Enter unique contract code which will become part of the URL."
+
+msgid "Courses"
+msgstr "Services"
+
+msgid "Title of course"
+msgstr "Title of service"
+
+msgid "Former Course"
+msgstr "Former Service"
+
+msgid "No course admitted provided."
+msgstr "No contract assigned provided"
+
+msgid "Remove selected courses"
+msgstr "Remove selected service"
+
+msgid "Add course"
+msgstr "Add service"
+
+msgid "A course with same code already exists: "
+msgstr "A service with same code already exists:"
+
+msgid "Course ${a} successfully created."
+msgstr "Service ${a} successfully created."
+
+msgid "Edit course"
+msgstr "Edit service"
+
+msgid "Course Code:"
+msgstr "Service Code"
+
+msgid "Required course:"
+msgstr "Required service:"
+
+msgid "Admitted Course of Study:"
+msgstr "Assigned Contract:"
+
+msgid "1st Choice Course of Study"
+msgstr "Desired Contract"
+
+msgid "Add applicant"
+msgstr "Add customer"
+
+msgid "Create application record"
+msgstr "Create customer record"
+
+msgid "Applicant record created."
+msgstr "Customer record created"
+
+msgid "Applicant"
+msgstr "Customer"
+
+msgid "Applicants"
+msgstr "Customers"
+
+msgid "${a} <br /> Application Record ${b}"
+msgstr "${a} <br /> Customer Record ${b}"
+
+msgid "No application record found."
+msgstr "No customer record found."
+
+msgid "Manage application section"
+msgstr "Manage customer section"
+
+msgid "Applicant Id"
+msgstr "Cistomer Id"
+
+msgid "${a} <br /> Application Form ${b}"
+msgstr "${a} <br /> Customer Data Form ${b}"
+
+msgid "Application Section"
+msgstr "Customer Section"
+
+msgid "Application State"
+msgstr "Registration State"
+
+msgid "Application Transition:"
+msgstr "Registration Transition:"
+
+msgid "Application Number"
+msgstr "Customer Number"
+
+msgid "Create Application Records"
+msgstr "Create Customer Records"
+
+msgid "Update Application Records"
+msgstr "Update Customer Records"
+
+msgid "Application Target"
+msgstr "Registration Target"
+
+msgid "Application Mode"
+msgstr "Registration Mode"
+
+msgid "Application Record"
+msgstr "Customer Record"
+
+msgid "Register for application"
+msgstr "Register"
+
+msgid "View application record"
+msgstr "View"
+
+msgid "Manage application record"
+msgstr "Manage customer record"
+
+msgid "Edit application record"
+msgstr "Edit customer record"
+
+msgid "Download application slip"
+msgstr "Download customer data slip"
+
+msgid "Application"
+msgstr "Registration"
+
+msgid "Find applicants"
+msgstr "Find customers"
+
+msgid "Add applicants container"
+msgstr "Add customers container"
+
+msgid "Applicants Containers"
+msgstr "Customers Containers"
+
+msgid "Manage applicants container"
+msgstr "Manage customers container"
+