Index: /main/eko-disco-specs/trunk/data.rst
===================================================================
--- /main/eko-disco-specs/trunk/data.rst	(revision 10775)
+++ /main/eko-disco-specs/trunk/data.rst	(revision 10776)
@@ -49,6 +49,7 @@
 only based on one service.
 
-p:q user-userrole relation means that each user can have no role or
-several roles and each role can be assigned to no user or several users.
+p:q useraccount-userrole relation means that each user account can have no role
+or several roles and each role can be assigned to no user account
+or several user accounts.
 
 Relations can always be read in two directions.
@@ -93,5 +94,6 @@
 
 Connected to: :ref:`label-contact-data` (n:1),
-:ref:`label-timestamp` (1:q)
+:ref:`label-timestamp` (1:q),
+:ref:`label-user-account` (1:b)
 
 Used in the following use cases:
@@ -130,25 +132,11 @@
 become due, a respective :ref:`label-transaction` is triggered.
 
-Contracts can have multiple :ref:`label-contract-addon`\ s.
+Contracts can have multiple :ref:`label-supp-contract`\ s.
 
 Connected to: :ref:`label-service` (p:1), :ref:`label-customer` (p:1),
-:ref:`label-contract-addon` (1:p), :ref:`label-transaction` (1:p),
+:ref:`label-supp-contract` (1:p), :ref:`label-transaction` (1:p),
 :ref:`label-meter` (1:b)
 
 Used in the following use cases:
-
-
-.. _label-contract-addon:
-
-Contract Addon
---------------
-
-Kind of 'sub contract' that always belongs to some already existing
-:ref:`label-contract` but comes with an own set of
-parameters. Contract addons are created by :ref:`label-contract`\ s.
-
-Connected to: :ref:`label-contract` (p:1),
-:ref:`label-service` (p:1), :ref:`label-customer` (p:1),
-:ref:`label-transaction` (1:p)
 
 
@@ -158,8 +146,11 @@
 --------
 
-Beneficiary of :ref:`label-contract`\ s.
+A user data entity and beneficiary of :ref:`label-contract`\ s.
 
 Customers are added to the system by initial import (migration phase),
-being created by staff or can self-register themselves to the system.
+being created by staff or can register themselves (self-registration)
+to the system.
+
+Each customer has a :ref:`label-user-account`.
 
 Customers have to provide :ref:`label-contact-data` and get
@@ -191,5 +182,5 @@
 Connected to: :ref:`label-contract` (1:p),
 :ref:`label-contact-data` (1:1), :ref:`label-login-credentials` (1:1),
-:ref:`label-user` (b:1)
+:ref:`label-user-account` (b:1)
 
 
@@ -213,10 +204,10 @@
 -----------------
 
-A set of username/password assigned to system users. Passwords are
+A set of username and password assigned to user accounts. Passwords are
 stored inside the system using strong cryptographic hash functions.
 
 Passwords can be reset on request.
 
-Connected to: :ref:`label-customer` (1:1)
+Connected to: :ref:`label-customer` (1:1), :ref:`label-user-account` (1:1)
 
 
@@ -247,6 +238,5 @@
 
 The value of a :ref:`label-meter` at a certain point in time
-(providing a :ref:`label-timestamp`) authorized by some
-:ref:`label-user` or device.
+(providing a :ref:`label-timestamp`) authorized by some user or device.
 
 It serves mainly for computing power consumption of
@@ -270,5 +260,5 @@
 
 Connected to: :ref:`label-meter` (n:1), :ref:`label-timestamp` (1:1),
-:ref:`label-user` (p:1)
+:ref:`label-user-account` (p:1)
 
 
@@ -278,11 +268,14 @@
 -------
 
-Officers are staff members with certain permissions to manage portal data.
-
-Actors are called :ref:`Manager <label-actors>` if they are officers with local
-managing permission.
+A user data entity of a staff member with certain permissions to manage
+portal data.
+
+Each officer has a :ref:`label-user-account`.
+
+Actors are called :ref:`Manager <label-actors>`\ s if they are officers with
+local managing permission.
 
 Connected to: :ref:`label-login-credentials` (1:1),
-:ref:`label-user` (b:1),
+:ref:`label-user-account` (b:1),
 :ref:`label-user-role` (1:p)
 
@@ -300,5 +293,5 @@
 
 Reports are generated as PDF documents and are available for download
-by authorized :ref:`label-user`\ s.
+by authorized users.
 
 Connected to: (almost everything else)
@@ -326,4 +319,24 @@
 
 
+.. _label-supp-contract:
+
+Supplementary Contract
+----------------------
+
+A supplementary contract always belongs to some already existing
+:ref:`label-contract` but comes with an own set of
+parameters. A typical supplementary contract materialises if a customer
+orders an amount of electrical energy on the bases of a 'main' contract
+achieved between the customer and the distribution company.
+The parent contract for instance may guarantee a special price
+per kilowatt hour of electrical energy.
+
+Supplementary contracts are created by :ref:`label-contract`\ s.
+
+Connected to: :ref:`label-contract` (p:1),
+:ref:`label-service` (p:1), :ref:`label-customer` (p:1),
+:ref:`label-transaction` (1:p)
+
+
 .. _label-timestamp:
 
@@ -363,14 +376,17 @@
 
 
-.. _label-user:
-
-User
-----
-
-A system user.
-
-Users can have :ref:`label-user-role`\ s managed by the
-system. Real-world officers (staff members) and customers are different to the
-system as they will have different roles. Also anonymous users are
+.. _label-user-account:
+
+User Account
+------------
+
+A user account is a set of user data and :ref:`label-login-credentials`
+which allows a user (agent) to authenticate to the system and
+let the system store some information required for user handling,
+such as real name, email address and/or mobile phone number.
+:ref:`label-user-role`\s are assigned to user accounts and managed by the
+system to grant authorization for the various views of the portal.
+Real-world officers (staff members) and customers are different to the
+system as they will get different roles. Also anonymous users are
 accepted by the system to provide marketing pages, service offers,
 etc.
@@ -383,5 +399,6 @@
 Connected to: :ref:`label-login-credentials` (1:1),
 :ref:`label-customer` (1:b),
-:ref:`label-user-role` (p:q)
+:ref:`label-user-role` (p:q),
+:ref:`label-contact-email` (b:1)
 
 
@@ -391,6 +408,6 @@
 ---------
 
-A set of permissions assigned to a group of :ref:`label-user`\ s.
-
-Connected to: :ref:`label-user` (p:q)
-
+A set of permissions assigned to a group of :ref:`label-user-account`\ s.
+
+Connected to: :ref:`label-user-account` (p:q)
+
Index: /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10775)
+++ /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10776)
@@ -1,5 +1,5 @@
 .. _label-mg-customer-add:
 
-Use-Case: Add a Customer by officer
+Use-Case: Add a Customer by Officer
 ***********************************************************************
 