Index: /main/eko-disco-specs/trunk/use-cases.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases.rst	(revision 10780)
@@ -16,5 +16,5 @@
    :maxdepth: 1
 
-   use-cases/customer-add-by-mg
+   use-cases/customer-add-by-officer
    use-cases/customer-add-by-anon
    use-cases/customer-edit-basedata
@@ -26,4 +26,7 @@
    use-cases/service-manage
    use-cases/service-remove
+   use-cases/user-add
+   use-cases/user-manage
+   use-cases/user-remove
 
 
@@ -34,9 +37,9 @@
   Convert legacy data suitable for new system before.
 
-* Add subcontract
+* Add supplementary contract
 
-* Manage subcontract
+* Manage supplementary contract
 
-* Remove subcontract
+* Remove supplementary contract
 
 * Add transaction
@@ -52,7 +55,5 @@
 * Read meter
 
-* Add user and assign roles
+* Request new password
 
-  Depending on the role, different user data entities (Officer, Customer,
-  Accountant) are automatically created.
-
+* Customer initializes existing user/customer account
Index: /main/eko-disco-specs/trunk/use-cases/contract-add.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10780)
@@ -12,5 +12,5 @@
 -----------------------------------------------------------------------
 
-Officer
+Officer, Customer
 
 
@@ -27,5 +27,5 @@
 - A new contract was created with unique contract ID.
 
-- Any optional contract-add-ons can be booked for the new contract.
+- Any optional supplementary contract can be booked for the new contract.
 
 
@@ -85,3 +85,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/contract-manage.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10780)
@@ -7,5 +7,5 @@
 -----------------------------------------------------------------------
 
-A contract is modified by staff.
+A contract is modified by an officer.
 
 Actor(s)
@@ -27,5 +27,5 @@
 - Contract data of the given contract is modified.
 
-- Any optional contract-add-ons can be booked for the new contract.
+- Any optional supplementary contract can be booked for the new contract.
 
 
@@ -82,3 +82,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/contract-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10780)
@@ -12,5 +12,5 @@
 -----------------------------------------------------------------------
 
-Officer
+Officer, Customer
 
 
@@ -49,4 +49,8 @@
 - Contract ID must exist.
 - Submitting user must be authorized to perform the operation.
+- Customers can only remove the contract if it has not yet been
+  concluded and no transactions have been made.
+  If customers accidentally added a contract they can
+  subesequently remove it to correct their mistake.
 
 
@@ -65,5 +69,5 @@
 - Removed data is archived.
 - System removes the given contract and connected items (transactions,
-  contract-add-ons, etc.).
+  supplementary contracts, etc.).
 - (optional) System informs regarding customer (email and/or SMS).
 
@@ -82,3 +86,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10780)
@@ -29,4 +29,5 @@
 
 - The new customer got valid login credentials from the system.
+  The credentials have been forwarded by email.
 
 - A (nearly empty) transaction history can be retrieved for the new
@@ -46,4 +47,5 @@
 
 - Message about customer creation
+- Email/SMS to customer with login credentials
 - Log message
 
@@ -85,3 +87,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: in/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-mg.rst	(revision 10779)
+++ 	(revision )
@@ -1,79 +1,0 @@
-.. _label-mg-customer-add:
-
-Use-Case: Add a Customer by Officer
-***********************************************************************
-
-Short Description
------------------------------------------------------------------------
-
-A customer is manually added to the system by authorized user.
-
-Actor(s)
------------------------------------------------------------------------
-
-Officer
-
-
-Trigger(s)
------------------------------------------------------------------------
-
-- Some customer is added to the system.
-- A main contract is added to the system.
-- A respective web form is requested from the system to fill
-  customer and contract data.
-
-
-Result(s)
------------------------------------------------------------------------
-
-- The new customer was created in system with a new unique customer ID.
-
-- The main contract was created and connected to the new customer.
-
-- A (nearly empty) transaction history can be retrieved for the new
-  customer.
-
-- Authorized users can get the current account balance of the balance.
-
-
-
-Incoming Data
------------------------------------------------------------------------
-
-
-Outgoing Data
------------------------------------------------------------------------
-
-- Message about customer creation.
-- Log message
-
-
-Precondition(s)
------------------------------------------------------------------------
-
-
-Postcondition(s)
------------------------------------------------------------------------
-
-
-Invariant(s)
------------------------------------------------------------------------
-
-
-Essential Steps
------------------------------------------------------------------------
-
-
-
-Open Issues
------------------------------------------------------------------------
-
-
-
-Remarks
------------------------------------------------------------------------
-
-
-.. raw:: latex
-
-      \pagebreak[4]
Index: /main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst	(revision 10780)
+++ /main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst	(revision 10780)
@@ -0,0 +1,79 @@
+.. _label-officer-customer-add:
+
+Use-Case: Add a Customer by Officer
+***********************************************************************
+
+Short Description
+-----------------------------------------------------------------------
+
+A customer is manually added to the system by authorized user.
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Officer
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+- Some customer is added to the system.
+- A main contract is added to the system.
+- A respective web form is requested from the system to fill
+  customer and contract data.
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+- The new customer was created in system with a new unique customer ID.
+
+- The main contract was created and connected to the new customer.
+
+- A (nearly empty) transaction history can be retrieved for the new
+  customer.
+
+- Authorized users can get the current account balance of the balance.
+
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+- Message about customer creation.
+- Log message
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \
Index: /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10780)
@@ -80,3 +80,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/customer-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10780)
@@ -81,3 +81,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/sample.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10780)
@@ -90,3 +90,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/service-add.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10780)
@@ -1,5 +1,5 @@
 .. _label-uc-service-add:
 
-Use-Case: Add a service
+Use-Case: Add a Service
 ***********************************************************************
 
@@ -85,3 +85,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/service-manage.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10780)
@@ -7,5 +7,5 @@
 -----------------------------------------------------------------------
 
-A service is modified by staff
+A service is modified by staff.
 
 Actor(s)
@@ -25,5 +25,5 @@
 -----------------------------------------------------------------------
 
-- Data (terms, title, description) of the given service is modified
+- Data (terms, title, description) of the given service is modified.
 
 
@@ -85,3 +85,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/service-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10779)
+++ /main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10780)
@@ -83,3 +83,3 @@
 .. raw:: latex
 
-      \pagebreak[4]
+      \
Index: /main/eko-disco-specs/trunk/use-cases/user-add.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/user-add.rst	(revision 10780)
+++ /main/eko-disco-specs/trunk/use-cases/user-add.rst	(revision 10780)
@@ -0,0 +1,91 @@
+.. _label-uc-user-add:
+
+Use-Case: Add a User Account
+***********************************************************************
+
+Short Description
+-----------------------------------------------------------------------
+
+A user account and connected user data entities are added.
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Officer
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+- Imports (adding existing data)
+- Web form(s) submitted by authorized user
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+- A new user account was created in system with a new unique user ID.
+
+- The password has not been set.
+
+- Depending on the user role assigned, user data entities like
+  'Officer' or 'Customer' were automatically created.
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+- Real name
+- Email address / mobile phone number
+
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+- Message about user account creation
+- Email to user about user account creation
+- Log message
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+- Submitting user must be authorized to perform the operation.
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+- Anonymous user can use a 'Request Password' form to
+  retrieve a new password which is being sent to the email address
+  stored in the user account. This process is described in
+  onther use case (to be added).
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+- System receives parameters specifying the user account to create.
+- System creates a unique user ID.
+- Passed in parameters are validated.
+- If passed-in parameters are invalid, user is offered a possibility
+  to fix the invalid data.
+- System creates the new user account and connected user data entities.
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \
Index: /main/eko-disco-specs/trunk/use-cases/user-manage.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/user-manage.rst	(revision 10780)
+++ /main/eko-disco-specs/trunk/use-cases/user-manage.rst	(revision 10780)
@@ -0,0 +1,83 @@
+.. _label-uc-user-manage:
+
+Use-Case: Modify a User Account
+***********************************************************************
+
+Short Description
+-----------------------------------------------------------------------
+
+A user account and connected user data entities are modified by staff.
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Officer
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+- Imports (modifying existing data)
+- Web form(s) submitted by authorized user
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+- Data (name, email adress) of the given user account was modified.
+- If the role was changed, the connected user data entity was replaced.
+- Data of the new user data entity was added.
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+- User ID, names and values of parameters to change
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+- Message about user account modification
+- Regarding users are informed by email or
+  SMS.
+- Log message
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+- User ID must exist.
+- Submitting user must be authorized to perform the operation.
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+- System receives user ID and any optional parameters
+  specifying the data to change in the user account.
+- Data is validated.
+- If passed-in parameters are invalid, user is offered a possibility
+  to fix the invalid data.
+- System updates the given user account and connected data entities.
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+.. raw:: latex
+
+      \
Index: /main/eko-disco-specs/trunk/use-cases/user-remove.rst
===================================================================
--- /main/eko-disco-specs/trunk/use-cases/user-remove.rst	(revision 10780)
+++ /main/eko-disco-specs/trunk/use-cases/user-remove.rst	(revision 10780)
@@ -0,0 +1,81 @@
+.. _label-uc-user-remove:
+
+Use-Case: Remove a User Account
+***********************************************************************
+
+Short Description
+-----------------------------------------------------------------------
+
+A user account and connected user data entities are removed from system.
+
+Actor(s)
+-----------------------------------------------------------------------
+
+Officer
+
+
+Trigger(s)
+-----------------------------------------------------------------------
+
+- Imports (removing existing data)
+- Web form(s) submitted by authorized user
+
+
+Result(s)
+-----------------------------------------------------------------------
+
+- The user account and all connected data were
+  removed from the system.
+- All removed data is archived.
+
+
+Incoming Data
+-----------------------------------------------------------------------
+
+- User ID
+
+Outgoing Data
+-----------------------------------------------------------------------
+
+- Message about user account removal
+- Log message
+- Archive entry
+
+
+Precondition(s)
+-----------------------------------------------------------------------
+
+- User ID must exist.
+- Submitting user must be authorized to perform the operation.
+
+
+Postcondition(s)
+-----------------------------------------------------------------------
+
+
+Invariant(s)
+-----------------------------------------------------------------------
+
+
+
+Essential Steps
+-----------------------------------------------------------------------
+
+- System checks user ID validity.
+- Removed data is archived.
+- System removes the given user account.
+
+
+Open Issues
+-----------------------------------------------------------------------
+
+
+
+Remarks
+-----------------------------------------------------------------------
+
+
+
+.. raw:: latex
+
+      \