Index: main/eko-disco-specs/trunk/use-cases/contract-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/contract-add.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-contract-add:
 
-Use-Case: Add a Contract
+Add a Contract
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/contract-manage.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/contract-manage.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-contract-manage:
 
-Use-Case: Manage Contract Data
+Manage Contract Data
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/contract-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/contract-remove.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-contract-remove:
 
-Use-Case: Remove a Contract
+Remove a Contract
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/customer-add-by-anon.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-customer-add-by-anon:
 
-Use-Case: Add a Customer by Anonymous User (self-registration)
+Add a Customer by Anonymous User (self-registration)
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/customer-add-by-officer.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-officer-customer-add:
 
-Use-Case: Add a Customer by Officer
+Add a Customer by Officer
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/customer-edit-basedata.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-customer-edit-basedata:
 
-Use-Case: Edit Basic Customer Data
+Edit Basic Customer Data
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/customer-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/customer-remove.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-customer-remove:
 
-Use-Case: Remove Customer
+Remove Customer
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/meter-reading.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/meter-reading.rst	(revision 10781)
@@ -1,3 +1,3 @@
-Use Case: Reading a Meter
+Reading a Meter
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/sample.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/sample.rst	(revision 10781)
@@ -1,3 +1,3 @@
-Sample-Use-Case: Withdraw Money from ATM
+Withdraw Money from ATM
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/service-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/service-add.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-service-add:
 
-Use-Case: Add a Service
+Add a Service
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/service-manage.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/service-manage.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-service-manage:
 
-Use-Case: Modify a Service
+Modify a Service
 ***********************************************************************
 
@@ -37,5 +37,5 @@
 
 - Message about service modification.
-- (optional) Regarding customers are informed by email or
+- Regarding customers are informed by email or
   SMS. Regarding customers are those having a contract created by
   the modified service.
Index: main/eko-disco-specs/trunk/use-cases/service-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/service-remove.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-service-remove:
 
-Use-Case: Remove a Service
+Remove a Service
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/user-add.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/user-add.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/user-add.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-user-add:
 
-Use-Case: Add a User Account
+Add a User Account
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/user-manage.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/user-manage.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/user-manage.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-user-manage:
 
-Use-Case: Modify a User Account
+Modify a User Account
 ***********************************************************************
 
Index: main/eko-disco-specs/trunk/use-cases/user-remove.rst
===================================================================
--- main/eko-disco-specs/trunk/use-cases/user-remove.rst	(revision 10780)
+++ main/eko-disco-specs/trunk/use-cases/user-remove.rst	(revision 10781)
@@ -1,5 +1,5 @@
 .. _label-uc-user-remove:
 
-Use-Case: Remove a User Account
+Remove a User Account
 ***********************************************************************
 